Download it now!
Bug 96816 - Does not show beginning of the spreadsheet if you on search mode and keyboard is open
Summary: Does not show beginning of the spreadsheet if you on search mode and keyboard...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Ximeng Zu
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-29 21:38 UTC by Gülşah Köse
Modified: 2017-06-09 14:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gülşah Köse 2015-12-29 21:38:14 UTC
1- Open a ods file.
2- Switch to edit mode
3- Touch the search icon
4- Insert a word for searching.

When keyboard is open, you can not see beginning of the spreadsheet.
Comment 1 QA Administrators 2017-03-06 14:42:02 UTC Comment hidden (obsolete)
Comment 2 Ximeng Zu 2017-03-23 17:55:08 UTC
(In reply to Gülşah Köse from comment #0)
> 1- Open a ods file.
> 2- Switch to edit mode
> 3- Touch the search icon
> 4- Insert a word for searching.
> 
> When keyboard is open, you can not see beginning of the spreadsheet.

This bug is still present.
My LO Android Viewer version is 5.4.0.0.alpha0+.
There is no change to the bug behavior.
I'd like to work on the issue for a bit. Any suggestions are welcome.
Comment 3 Ximeng Zu 2017-03-23 23:34:22 UTC
(In reply to Gülşah Köse from comment #0)
> 1- Open a ods file.
> 2- Switch to edit mode
> 3- Touch the search icon
> 4- Insert a word for searching.
> 
> When keyboard is open, you can not see beginning of the spreadsheet.

Actually, not only for spreadsheets, other documents also have this issue. I tested .doc and .ppt.
Comment 4 Ximeng Zu 2017-03-24 00:32:05 UTC
In the Manifest file, there is a commented line 
android:windowSoftInputMode="adjustResize" 
which could solve this issue. I am not sure why 
this line was commented.
Comment 5 Ximeng Zu 2017-03-26 17:26:59 UTC
(In reply to Ximeng Zu from comment #4)
> In the Manifest file, there is a commented line 
> android:windowSoftInputMode="adjustResize" 
> which could solve this issue. I am not sure why 
> this line was commented.

I submitted a patch.
https://gerrit.libreoffice.org/#/c/35721/
Comment 6 Commit Notification 2017-03-30 20:18:50 UTC
Ximeng Zu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1769e9b27bcf62e644927139d07ee195803363a

tdf#96816 android: top part unreachable with soft keyboard

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-06-09 10:01:57 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?